Subject: [PATCH] ARM64:ftrace: fix ftrace_modify_graph_caller for branch replace

From: [email-masked] (Sergei Shtylyov)
Date: Thu, 12 Feb 2015 22:51:25 +0300

Hello.

On 02/12/2015 06:33 PM, Pratyush Anand wrote:

> ftrace_enable_ftrace_graph_caller and ftrace_disable_ftrace_graph_caller
> should replace B(jmp) instruction and not BL(call) instruction.

> patch 9f1ae7596aad71d18c3e88a3927f3f76b037b8fe did a typo and used

    s/patch/commit/. And please specify that commit's summary line in parens.

> AARCH64_INSN_BRANCH_LINK instead of AARCH64_INSN_BRANCH_NOLINK.

> Signed-off-by: Pratyush Anand <[email-masked]>

[...]

WBR, Sergei